### Hierarchy

- CryptoWallets

## Index

### Constructors

- constructor

### Properties

- app
- btc
- eth
- usd

### Methods

- fromJson

## Constructors

### constructor

- new CryptoWallets(eth?: Array<EthWalletData>, btc?: Array<BtcWalletData>, app?: Array<AppWalletData>, usd?: Array<UsdWalletData>): CryptoWallets

- - Defined in utils/types/BaseTypes.ts:156

  #### Parameters

  - ##### Optional eth: Array<EthWalletData>

  - ##### Optional btc: Array<BtcWalletData>

  - ##### Optional app: Array<AppWalletData>

  - ##### Optional usd: Array<UsdWalletData>

  #### Returns CryptoWallets

## Properties

### app

app: Array<AppWalletData>

- Defined in utils/types/BaseTypes.ts:137

### btc

btc: Array<BtcWalletData>

- Defined in utils/types/BaseTypes.ts:134

### eth

eth: Array<EthWalletData>

- Defined in utils/types/BaseTypes.ts:131

### usd

usd: Array<UsdWalletData>

- Defined in utils/types/BaseTypes.ts:140

## Methods

### Static fromJson

- fromJson(json: JsonObject<CryptoWallets>): CryptoWallets

- - Defined in utils/types/BaseTypes.ts:142

  #### Parameters

  - ##### json: JsonObject<CryptoWallets>

  #### Returns CryptoWallets

Generated using TypeDoc